#define LED 13
#define KEY 12

void setup() {
  //Set the direction of LED as OUTPUT
  pinMode(LED, OUTPUT);
  digitalWrite(LED, LOW);
  //Set the direction of KEY as INPUT with pull up
  pinMode(KEY, INPUT_PULLUP);
}

void loop() {
  if (!digitalRead(KEY)){
    //When you press the button, it may shake, so
    //check it again after a while to ensure that it is pressed
    delay(100);
    if (!digitalRead(KEY)){
      //digitalRead can also read the state of OUTPUT pin
      digitalWrite(LED, !digitalRead(LED));
      //Wait for button release
      while (!digitalRead(KEY));
    }
  }
}
